Core - Bug # 49233

Status: Resolved Priority: Must have

Author: Nico de Haen Category: File Abstraction Layer (FAL)
Created: 2013-06-19 Assigned To: Francois Suter

Updated: 2013-07-09 Due date:

TYPO3 Version: 6.1

PHP Version: 53

Complexity: medium

Is Regression:
Sprint Focus:

Subject: FAL Migration not applied to file links in tt_content bodytext

Description

It seems that all file links in tt_content bodytext are not migrated to point to the corresponding sys_file record. They are migrated once

you open the content element in the backend but not in the Install tool update wizard which cares only for files in tt_content.image.

This means, that all file links that are not yet migrated won't reflect renaming of folders and files. If the path of a file changed the

content elements are not accessible anymore due to #37409

You can easily destroy a whole site by just renaming one folder in the file list module...

To make it clear:
After running the update wizard the links still look like this (can be seen only in the database):

<link fileadmin/Downloads2/MyFile.pdf - download "Initiates file download">MyFile</link>

but should look like this:

<link file:12345 - download "Initiates file download">MyFile</link>

I'm not sure if that is a regression or if it was always like this, since | didn't find any code for that in the update wizard.

Related issues:
related to Core - Bug # 49212: File links from tt_content bodytext are not/wr... Closed 2013-06-18
related to LTS Smooth Migration - Task # 49455: FAL Migration has to convert ... Resolved 2013-06-26

Associated revisions

Revision 6b4d7dc8 - 2013-07-09 08:54 - Francois Suter
[BUGIFX] Missing update wizard for RTE file links

File links made inside a RTE-enabled field are currently not
migrated to FAL references. This patch adds such an update
wizard.

Resolves: #49233

Releases: 6.1, 6.2
Change-Id: 112b6d9da87b734c0a9d5f884d5067e3c9b08efc3
Reviewed-on: https://review.typo3.org/22002

Reviewed-by: Nico de Haen
Tested-by: Nico de Haen
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Sebastian Michaelsen
Tested-by: Sebastian Michaelsen
Reviewed-by: Francois Suter
Tested-by: Francois Suter

Revision c¢522dfa2 - 2013-07-09 08:57 - Francois Suter

[BUGIFX] Missing update wizard for RTE file links

File links made inside a RTE-enabled field are currently not
migrated to FAL references. This patch adds such an update

wizard.

Resolves: #49233

Releases: 6.1, 6.2

Change-Id: 112b6d9da87b734c0a9d5f884d5067e3c9b08efc3
Reviewed-on: https://review.typo3.org/22134

Reviewed-by: Francois Suter
Tested-by: Francois Suter

History

#1 - 2013-07-06 12:55 - Francois Suter
- Status changed from New to Accepted
- Assigned To set to Francois Suter

- Complexity set to medium

#2 - 2013-07-06 13:19 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at https://review.typo3.0rg/22002

#3 - 2013-07-06 17:11 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/22002

#4 - 2013-07-07 14:21 - Francois Suter

You don't need to have a full TYPOS installation to upgrade to test this patch. Here are some steps for testing (after having applied the patch):

1) pick some file in your fileadmin folder (say "foo/bar.pdf").

2) edit some tt_content element directly in a database tool and insert something like:
<link fileadmin/foo/bar.pdf>Test file link</link>

in the "bodytext" field.

3) update the sys_refindex index

4) go to the upgrade wizard, the File links update wizard should tell you that there's 1 link (at least) to update
5) run the File links update wizard. It should show the update queries.
)

6) check the content of the tt_content element in the database. The link should have been transformed to:

<link file:xxx>Test file link</link>

#5 - 2013-07-09 08:55 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-1 has been pushed to the review server.

It is available at https://review.typo3.org/22134

#6 - 2013-07-09 09:31 - Francois Suter
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:c522dfa264eb3a1fd03152feac9dabe6280b6adb.
